Avidemux 2.4.4 backport from Karmic or Jaunty needed - will fix several crash bugs

Bug #397369 reported by Mantas Kriaučiūnas on 2009-07-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Hardy Backports
Undecided
Unassigned
avidemux (Baltix)
Undecided
Unassigned

Bug Description

Please backport Avidemux 2.4.4 from Karmic or Jaunty - current version in Hardy (8.04 LTS) has lots of crash bugs, and they are fixed in 2.4.4

For full list of improvements since 2.4.1 look at http://avidemux.sourceforge.net/news.html

I'm pasting Ubuntu changelog since avidemux 2.4.1 version (since Ubuntu 8.04):

avidemux (1:2.4.4-0.3ubuntu1) karmic; urgency=low
  * Merge from debian-multimedia, Ubuntu remaining changes:
    - Drop ccache support:
      + debian/control: Remove ccache from Build-Depends field.
      + debian/rules: Don't use ccache.
    - debian/control:
      + Drop libamrnb-dev build-dependency.
      + Bump libx264-dev build-dependency and libpulse-dev build-dependency.
    - Add debian/patches/avidemux-compile.patch to prevent FTBFS; patch taken
      from https://bugzilla.rpmfusion.org/attachment.cgi?id=131
 -- Alessio Treglia <email address hidden> Fri, 26 Jun 2009 18:03:35 +0200

avidemux (1:2.4.4-0.3) unstable; urgency=low
  * Avidemux doesn't use toolame but twolame since ??? So replace toolame by
    twolame.
 -- Christian Marillat <email address hidden> Sat, 06 Jun 2009 10:21:56 +0200

avidemux (1:2.4.4-0.2ubuntu1) karmic; urgency=low
  * Merge from debian-multimedia, remaining changes:
    - debian/control:
      + Bump-up Build-Depends on libx264-dev and add on libpulse-dev.
      + Remove Build-Depends on ccache and libamrnb-dev.
    - debian/rules: Don't use ccache.
  * Refresh patches.
  * Add (and adjust) debian/patches/avidemux-compile.patch to fix FTBFS.
    Original patch taken from
    https://bugzilla.rpmfusion.org/attachment.cgi?id=131.
 -- Alessio Treglia <email address hidden> Sun, 10 May 2009 13:03:07 +0200

avidemux (1:2.4.4-0.2) unstable; urgency=low
  * Try to fix build on alpha and ia64 with 03_64bits-arch.diff patch.
 -- Christian Marillat <email address hidden> Fri, 03 Apr 2009 15:02:51 +0200

avidemux (1:2.4.4-0.1) unstable; urgency=low
  * Rebuild against the latest libx264-dev.
 -- Christian Marillat <email address hidden> Sun, 08 Mar 2009 15:27:50 +0100

avidemux (1:2.4.4-0.0ubuntu1) jaunty; urgency=low
  * Merge from debian multimedia, Ubuntu remaining changes:
    - debian/control:
      + Build-Depends on newer libx264-dev.
      + Don't Build-Depends on ccache and libamrnb-dev.
      + Build-Depends on libpulse-dev.
      + Fixed small typo in avidemux description.
    - Don't use ccache.
    - Drop patch to fix build with newer x264, it has been merged by upstream.
 -- Alessio Treglia <email address hidden> Tue, 17 Feb 2009 23:41:46 +0100

avidemux (1:2.4.4-0.0) unstable; urgency=low
  * New upstream release.
 -- Christian Marillat <email address hidden> Sun, 08 Feb 2009 10:21:15 +0100

avidemux (1:2.4.3-0.1ubuntu1) jaunty; urgency=low
  * merge from debian-multimedia.org
  * remove undocumented ubuntu patch debian/patches/01_QT4.diff. Does not
    seem worth carrying around for us.
  * remaining changes:
    - Build-depend on libpulse-dev.
    - Do not build-depend on libamrnb-dev.
    - Set maintainer fields per specification.
  * do not use ccache
  * depend on newer libx264-dev
  * import new patch from rpmfusion to fix build with newer x264.
    patch created by Dominik Mierzejewski <rpm at greysector.net>
    see http://lists.rpmfusion.org/pipermail/rpmfusion-commits/2008-December/003131.html
 -- Reinhard Tartler <email address hidden> Fri, 16 Jan 2009 08:16:14 +0100

avidemux (1:2.4.3-0.1) unstable; urgency=low
  * New patch from upstream author to fix build with 'no FPM selected' error.
 -- Christian Marillat <email address hidden> Wed, 06 Aug 2008 15:10:21 +0200

avidemux (1:2.4.3-0.0ubuntu1) intrepid; urgency=low
  * Merge from debian-multimedia.org, remaining Ubuntu changes:
    + debian/control:
      - Build-depend on libpulse-dev.
      - Do not build-depend on libamrnb-dev.
      - Description: QT4 -> Qt 4.
      - Set maintainer fields per specification.
 -- Matvey Kozhev <email address hidden> Tue, 05 Aug 2008 22:50:46 +0700

avidemux (1:2.4.3-0.0) unstable; urgency=low
  * New upstream release.
  * Move to cmake (I still hate cmake).
 -- Christian Marillat <email address hidden> Mon, 04 Aug 2008 12:15:45 +0200

avidemux (1:2.4.2-0.0ubuntu1) intrepid; urgency=low
  * Merged from debian-multimedia.org (LP: #247363), remaining Ubuntu changes:
    + debian/control:
      - Added liblame-dev as an alternate build-dependency (libmp3lame-dev is
        not in intrepid yet).
      - Build-depend on libpulse-dev for PulseAudio support.
      - Build-depend on chrpath.
      - Set maintainer fields per specification.
      - Removed libamrnb-dev build-dependency.
      - Corrected spelling: QT4 -> Qt 4.
    + debian/rules:
      - Extra cleanup.
      - Strip rpath from avidemux2_qt4.
      - Manually define USE_PULSE_SIMPLE and link with -lpulse-simple, since
        PulseAudio check is only built into the cmake builder, not automake.
    + Added debian/patches/02_pulse.diff:
      - Include PulseAudio support files in build.
 -- Matvey Kozhev <email address hidden> Sun, 20 Jul 2008 13:21:58 +0700

avidemux (1:2.4.2-0.0) unstable; urgency=low
  * New upstream release.
  * Removed 03_subtitle-font and 04_fix_dib_colorspace patches included
    upstream.
  * Build against gcc/g++ 4.3
 -- Christian Marillat <email address hidden> Tue, 08 Jul 2008 09:06:32 +0200

avidemux (1:2.4.1-0.3) unstable; urgency=low
  * New improved patch from Ubuntu to change the default subtitle font to
    DejaVu Sans.
  * Rebuild against the new libmp3lame package.
  * Added a patch from Mathias Brodala to load correctly blender avi file.
  * Build with gcc/g++ 4.2 (doesn't build with 4.3)
  * Added libxmu-dev in Build-Depedns.
 -- Christian Marillat <email address hidden> Mon, 07 Jul 2008 11:28:19 +0200

avidemux (1:2.4.1-0.2ubuntu3) intrepid; urgency=low
  * Build-depend on libxmu-dev.
 -- Matvey Kozhev <email address hidden> Tue, 13 May 2008 14:28:17 +0700

avidemux (1:2.4.1-0.2ubuntu2) intrepid; urgency=low
  * Added debian/patches/03_missing-asm-naming.patch:
    - Fix build failure with GCC 4.3.
    - Patch by Sergey Dryabzhinsky, taken from Gentoo bug 213099.
  * Added debian/patches/04_alsa-device.patch:
    - Change the default ALSA device from "plughw:0,0" to "pulse" (LP: #215560).
      Upstream might consider using "default" instead.
  * Added debian/patches/05_subtitle-font.patch:
    - Change the default subtitle font to DejaVu Sans. (LP: #222773)
    - Modified patch by Festor Wailon Dacoba.
  * debian/rules:
    - Delete config.h.in in clean.
 -- Matvey Kozhev <email address hidden> Sat, 10 May 2008 12:37:45 +0700

avidemux (1:2.4.1-0.2ubuntu1) intrepid; urgency=low
  * Merged from debian-multimedia.org, remaining Ubuntu changes:
    + debian/control:
      - Set maintainer fields per specification.
      - Removed libamrnb-dev build-dependency.
      - Re-added chrpath build-dependency.
      - Corrected spelling: QT4 -> Qt 4.
    + debian/rules:
      - Strip rpath from avidemux2_qt4.
      - Link with -Wl,--as-needed.
      - Extra cleanup in clean rule (much smaller diff.gz).
 -- Matvey Kozhev <email address hidden> Fri, 02 May 2008 11:43:49 +0700

avidemux (1:2.4.1-0.2) unstable; urgency=low
  * New patch to add various fix for g++ 4.3
 -- Christian Marillat <email address hidden> Wed, 09 Apr 2008 09:32:57 +0200

Evan Broder (broder) wrote :

It looks like this bug requests a backport from Ubuntu 9.10 (Karmic Koala). However, as Karmick is no longer supported, such a backport is no longer possible.

This bug is being set to "Won't Fix". If you would still like to move forward with this backport request, please re-open the bug and adjust it to request a backport from a current release.

(This change is being made by an automated bot run by Evan Broder, who is now subscribed to the bug; if you think the change was made in error, please feel free to re-open the bug)

Changed in hardy-backports:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers